# Core classes

Core classes and interfaces you just can't live without. More...

Collaboration diagram for Core classes:

## Modules

| Widely used base classes and interfaces
| Application-wide cache subsystem
| Connectors and dialects for various databases
| Exceptions
| Data validation layer
| Logical expressions used in OSQL and Form
| Dynamic query builder

## Detailed Description

Core classes and interfaces you just can't live without.